// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <dawn/dawn.h>
#include "../display/shader.h"
#include "../display/primitive.h"
#include "../display/gui/font.h"

void labelInit(label_t *label);

void labelSetText(label_t *label, font_t *font, char *text);

void labelRender(label_t *label, shader_t *shader);

void labelDispose(label_t *label);